Page MenuHomePhabricator

Create private wiki for Wikimedia Indonesia
Closed, ResolvedPublic

Description

  • Extensions: Standard configuration
  • Type of wiki: Private
  • Local uploads: Yes
  • Skin: Vector
  • Site name: Wikimedia Indonesia (internal)
  • Site URL: id-internal.wikimedia.org
  • Logo: https://commons.wikimedia.org/wiki/File:Wikimedia-logo-id.svg
  • Timezone: Asia/Jakarta
  • Category collation: Default
  • Shard: s3
  • Initial bureaucrats:
    • User:Martin Urbanec (martin.urbanec@wikimedia.cz) for data importing purposes
    • From Wikimedia Indonesia: User:Beeyan (biyanto.rebin@wikimedia.or.id) and User:Rachmat04 (rachmat.wahidi@wikimedia.or.id)

Event Timeline

Urbanecm created this task.Jun 8 2018, 3:09 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 8 2018, 3:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Beeyan added a subscriber: Beeyan.Jun 8 2018, 3:21 PM
Urbanecm triaged this task as Low priority.Jun 8 2018, 4:14 PM

Change 438275 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/dns@master] idprivatewikimedia: register in DNS

https://gerrit.wikimedia.org/r/438275

Change 438276 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/puppet@production] idwikimedia: add Apache configuration

https://gerrit.wikimedia.org/r/438276

@Rachmat04 @Beeyan Is "Wikimedia Indonesia - private" as site name okay with you? Or should it be something else? Also, do you want the same logo? Or another one?

Change 438278 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/services/restbase/deploy@master] idprivatewikimedia: Add to RESTBase

https://gerrit.wikimedia.org/r/438278

Change 438279 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] idprivatewikimedia: Initial configuration

https://gerrit.wikimedia.org/r/438279

Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Jun 8 2018, 5:55 PM

Change 438278 abandoned by Urbanecm:
id_privatewikimedia: Add to RESTBase

Reason:
Not supported yet, thank you @mobrovac

https://gerrit.wikimedia.org/r/438278

Rachmat04 added a comment.EditedJun 9 2018, 4:32 AM

"Wikimedia Indonesia (tertutup)" for the name and the same logo like used by the public one should be fine.

Urbanecm updated the task description. (Show Details)Jun 9 2018, 7:49 AM
Urbanecm updated the task description. (Show Details)

@Rachmat04 Ok, going to amend the patch. I'm just wondering if using the same logo like public won't make people to mistake public version with the private one and vica versa. But of course, it's up to you.

Change 439437 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/WikimediaMessages@master] id_privatewikimedia: Declare to WikimediaMessages

https://gerrit.wikimedia.org/r/439437

Beeyan added a comment.Jun 9 2018, 1:14 PM

Hello @Urbanecm, is it possible to rename the website id-internal.wikimedia.org? Thanks. The "internal" word has the same meaning in Indonesian and English.

Rachmat04 added a comment.EditedJun 10 2018, 3:40 AM

Also, for its logo, I have created a new, different one to be used on this private wiki. See https://commons.wikimedia.org/wiki/File:Wikimedia-logo-id-internal.svg I hope this will differentiate between this wiki and the public one.

Thank you.

Urbanecm updated the task description. (Show Details)Jun 10 2018, 7:42 AM

Ok, amended.

Urbanecm removed Urbanecm as the assignee of this task.Jun 10 2018, 7:49 AM
Urbanecm added a subscriber: Dzahn.

Nothing to do for me, I need a sysadmin to reserve a window&create the wiki (of course, after @Dzahn or somebody else merges the Apache/DNS patches).

This comment was removed by Dzahn.

Change 438275 merged by Dzahn:
[operations/dns@master] Add id-internal.wikimedia.org for Wikimedia Indonesia

https://gerrit.wikimedia.org/r/438275

added to DNS:

[radon:~] $ host id-internal.wikimedia.org
id-internal.wikimedia.org has address 208.80.154.224
id-internal.wikimedia.org has IPv6 address 2620:0:861:ed1a::1

Change 438276 merged by Dzahn:
[operations/puppet@production] mediawiki/apache: add id-internal.wikimedia.org server alias

https://gerrit.wikimedia.org/r/438276

Urbanecm added a subscriber: Reedy.Jun 11 2018, 1:50 PM

@Reedy Do you think you can create this wiki in this week?

Urbanecm raised the priority of this task from Low to Normal.Jun 11 2018, 1:51 PM

Is in the middle of migration process, should not wait for other wikis as being approved by LangCom.

Change 439437 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] id_internalwikimedia: Declare to WikimediaMessages

https://gerrit.wikimedia.org/r/439437

Vvjjkkii renamed this task from Create private wiki for Wikimedia Indonesia to 4dbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Urbanecm lowered the priority of this task from High to Normal.Jul 2 2018, 12:16 PM
Urbanecm renamed this task from 4dbaaaaaaa to Create private wiki for Wikimedia Indonesia.
Urbanecm updated the task description. (Show Details)

Change 438279 merged by jenkins-bot:
[operations/mediawiki-config@master] id_internalwikimedia: Initial configuration

https://gerrit.wikimedia.org/r/438279

Change 450003 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Re-instate "id_internalwikimedia: Initial configuration"

https://gerrit.wikimedia.org/r/450003

Change 450003 merged by jenkins-bot:
[operations/mediawiki-config@master] Re-instate "id_internalwikimedia: Initial configuration"

https://gerrit.wikimedia.org/r/450003

Change 450008 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Change id-private to id-internal in MWMultiVersion.php

https://gerrit.wikimedia.org/r/450008

Change 450008 merged by jenkins-bot:
[operations/mediawiki-config@master] Change id-private to id-internal in MWMultiVersion.php

https://gerrit.wikimedia.org/r/450008

Urbanecm assigned this task to Reedy.Aug 2 2018, 12:26 PM

Wikis are live. Thank you @Reedy and all who helped! Leaving those tasks opened because other things will be necessary, as they always are when creating new wiki.

Beeyan added a comment.Aug 6 2018, 5:33 AM

Thank you all!

Urbanecm closed this task as Resolved.Aug 23 2018, 10:52 PM

Apparently running.